No network with e1000e driver on 4.13.0-38-generic

Bug #1762693 reported by Martin von Wittich on 2018-04-10
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
linux-oem (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned

Bug Description

===SRU Justification===
[Impact]
e1000e stops working since 4.13.0-38-generic/4.13.0-1022-oem.
The regression was introduced by patches in LP: #1730550.

[Fix]
Commit 4110e02eb45ea447ec6f5459c9934de0a273fb91 fixes the issue.
e1000e now reports correct link status.

[Test]
With the extra commit, the e1000e starts to working again.

[Regression Potential]
Low.
It says:
Fixes: 19110cfbb34d ("e1000e: Separate signaling for link check/link up")
So it's pretty clear this patch is to fix the regression.

It's in upstream linux-stable, so only Arftul needs this patch.

===Original Bug Report===
When my computer boots with the most recent kernel 4.13.0-38-generic, I don't have a working network connection. ethtool reports that my network interface doesn't have a connection:

martin@dogmeat ~ % cat ethtool.txt
Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Advertised pause frame use: No
        Advertised auto-negotiation: Yes
        Speed: Unknown!
        Duplex: Unknown! (255)
        Port: Twisted Pair
        PHYAD: 2
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: Unknown (auto)
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000007 (7)
                               drv probe link
        Link detected: no

dmesg contains suspicious e1000e error messages:

martin@dogmeat ~ % tail -n 40 dmesg.txt
[ 20.211715] Could not find valid key in user session keyring for sig specified in mount option: [459a10809c211381]
[ 20.211716] One or more global auth toks could not properly register; rc = [-2]
[ 20.211717] Error parsing options; rc = [-2]
[ 25.824466] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 25.969587] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 30.034472] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 35.808558] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 35.939670] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 40.037526] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 46.048494] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 46.263237] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 51.022052] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 51.244686] ahci 0000:00:17.0: port does not support device sleep
[ 56.800544] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 56.935347] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 61.036903] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 67.040536] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 67.199669] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 72.038713] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 78.048576] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 78.170825] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 83.038119] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 88.800521] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 88.938939] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 93.021350] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 99.040543] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 99.163603] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 104.038668] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 110.048532] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 110.191137] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 115.022823] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 120.800524] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 120.910537] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 125.019509] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 131.040530] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 131.164741] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 136.039268] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500
[ 142.048536] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 142.186891] e1000e 0000:00:1f.6 eth0: changing MTU from 1500 to 1492
[ 147.038361] e1000e 0000:00:1f.6 eth0: changing MTU from 1492 to 1500

Everything works fine when I boot Linux 4.13.0-37-generic.

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-38-generic 4.13.0-38.43
ProcVersionSignature: Ubuntu 4.13.0-38.43-generic 4.13.16
Uname: Linux 4.13.0-38-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: martin 2756 F.... pulseaudio
CurrentDesktop: MATE
Date: Tue Apr 10 11:34:19 2018
EcryptfsInUse: Yes
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
MachineType: System manufacturer System Product Name
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-38-generic root=UUID=8ee32f29-87ea-4229-8807-35171b6dfeed ro quiet splash nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw nomdmonddf nomdmonisw vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-38-generic N/A
 linux-backports-modules-4.13.0-38-generic N/A
 linux-firmware 1.169.3
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to artful on 2018-01-23 (76 days ago)
dmi.bios.date: 09/20/2016
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 2002
dmi.board.asset.tag: Default string
dmi.board.name: H170-PRO/USB 3.1
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Default string
dmi.chassis.version: Default string
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr2002:bd09/20/2016:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnH170-PRO/USB3.1:rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.16 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.16

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Kai-Heng Feng (kaihengfeng) wrote :

Martin, I can confirm the issue. It's a regression introduced by LP: #1730550.

Commit 4110e02eb45ea447ec6f5459c9934de0a273fb91 can solve the issue for me, please verify if it also fixes issue for you.

I built an Artful kernel with the commit:
https://people.canonical.com/~khfeng/lp1762693/

> Martin, I can confirm the issue. It's a regression introduced by LP: #1730550.
>
> Commit 4110e02eb45ea447ec6f5459c9934de0a273fb91 can solve the issue for me, please verify if it also fixes issue for you.
>
> I built an Artful kernel with the commit:
> https://people.canonical.com/~khfeng/lp1762693/

Yep, that seems to be it; the new kernel is working fine, and no more dmesg errors!

martin@dogmeat ~ % dmesg | tail
[ 13.080188] VBoxNetAdp: Successfully started.
[ 13.084844] VBoxPciLinuxInit
[ 13.087407] vboxpci: IOMMU not found (not registered)
[ 13.463759] ahci 0000:00:17.0: port does not support device sleep
[ 14.990341] e1000e: eth0 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: None
[ 842.053183] Could not find key with description: [459a10809c211381]
[ 842.053190] process_request_key_err: No key
[ 842.053191] Could not find valid key in user session keyring for sig specified in mount option: [459a10809c211381]
[ 842.053192] One or more global auth toks could not properly register; rc = [-2]
[ 842.053194] Error parsing options; rc = [-2]
martin@dogmeat ~ % cat /proc/uptime
886.29 3486.40
martin@dogmeat ~ % uname -a
Linux dogmeat 4.13.0-39-generic #44~lp1762693 SMP Wed Apr 11 12:06:10 CST 2018 x86_64 x86_64 x86_64 GNU/Linux
martin@dogmeat ~ % sudo ethtool eth0
[sudo] Passwort für martin:
Settings for eth0:
        Supported ports: [ TP ]
        Supported link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Supported pause frame use: No
        Supports auto-negotiation: Yes
        Advertised link modes: 10baseT/Half 10baseT/Full
                                100baseT/Half 100baseT/Full
                                1000baseT/Full
        Advertised pause frame use: No
        Advertised auto-negotiation: Yes
        Speed: 1000Mb/s
        Duplex: Full
        Port: Twisted Pair
        PHYAD: 1
        Transceiver: internal
        Auto-negotiation: on
        MDI-X: off (auto)
        Supports Wake-on: pumbg
        Wake-on: g
        Current message level: 0x00000007 (7)
                               drv probe link
        Link detected: yes

Thanks!

tags: added: originate-from-1762323 somerville
description: updated
Timo Aaltonen (tjaalton) on 2018-04-12
Changed in linux-oem (Ubuntu Artful):
status: New → Invalid
Changed in linux (Ubuntu):
status: Incomplete → Fix Released
Changed in linux (Ubuntu Xenial):
status: New → Invalid
Changed in linux-oem (Ubuntu Xenial):
status: New → Fix Committed
Changed in linux-oem (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Artful):
status: New → Confirmed
Derek L (ddl-lp) wrote :

I ran into this exact same problem under Artful after updating to Linux kernel 4.13.0-38-generic. Can anyone confirm that the fix will be backported to Artful in an upcoming kernel update?

Kai-Heng Feng (kaihengfeng) wrote :

It should. I've already made an SRU [1] to backport this fix.

[1] https://lists.ubuntu.com/archives/kernel-team/2018-April/091539.html

Stefan Bader (smb) on 2018-04-20
Changed in linux (Ubuntu Artful):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (6.9 KiB)

This bug was fixed in the package linux-oem - 4.13.0-1024.27

---------------
linux-oem (4.13.0-1024.27) xenial; urgency=medium

  * linux-oem: 4.13.0-1024.27 -proposed tracker (LP: #1763296)

  * [8086:3e92] display becomes blank after S3 (LP: #1763271)
    - drm/i915/edp: Allow alternate fixed mode for eDP if available.
    - drm/i915/dp: rename intel_dp_is_edp to intel_dp_is_port_edp
    - drm/i915/dp: make is_edp non-static and rename to intel_dp_is_edp
    - drm/i915/edp: Do not do link training fallback or prune modes on EDP

  * No network with e1000e driver on 4.13.0-38-generic (LP: #1762693)
    - e1000e: Fix e1000_check_for_copper_link_ich8lan return value.

linux-oem (4.13.0-1023.25) xenial; urgency=medium

  * linux-oem: 4.13.0-1023.25 -proposed tracker (LP: #1761464)

  * Fix Runtime PM for r8169 (LP: #1757422)
    - r8169: only enable PCI wakeups when WOL is active
    - PCI: Add pcim_set_mwi(), a device-managed pci_set_mwi()
    - r8169: switch to device-managed functions in probe
    - r8169: remove netif_napi_del in probe error path
    - r8169: remove unneeded rpm ops in rtl_shutdown
    - r8169: improve runtime pm in rtl8169_check_link_status
    - r8169: improve runtime pm in general and suspend unused ports

  * Ryzen/Raven Ridge USB ports do not work (LP: #1756700)
    - xhci: Fix front USB ports on ASUS PRIME B350M-A
    - SAUCE: xhci: Fix USB ports for Dell Inspiron 5775

  * Miscellaneous Ubuntu changes
    - Rebase to 4.13.0-39.44

  [ Ubuntu: 4.13.0-39.44 ]

  * linux: 4.13.0-39.44 -proposed tracker (LP: #1761456)
  * intel-microcode 3.20180312.0 causes lockup at login screen(w/ linux-
    image-4.13.0-37-generic) (LP: #1759920) // CVE-2017-5715 (Spectre v2
    Intel) // CVE-2017-5754
    - x86/mm: Reinitialize TLB state on hotplug and resume
  * intel-microcode 3.20180312.0 causes lockup at login screen(w/ linux-
    image-4.13.0-37-generic) (LP: #1759920) // CVE-2017-5715 (Spectre v2 Intel)
    - Revert "x86/mm: Only set IBPB when the new thread cannot ptrace current
      thread"
    - x86/speculation: Use Indirect Branch Prediction Barrier in context switch
  * DKMS driver builds fail with: Cannot use CONFIG_STACK_VALIDATION=y, please
    install libelf-dev, libelf-devel or elfutils-libelf-devel (LP: #1760876)
    - [Packaging] include the retpoline extractor in the headers
  * retpoline hints: primary infrastructure and initial hints (LP: #1758856)
    - [Packaging] retpoline-extract: flag *0xNNN(%reg) branches
    - x86/speculation, objtool: Annotate indirect calls/jumps for objtool
    - x86/speculation, objtool: Annotate indirect calls/jumps for objtool on 32bit
    - x86/paravirt, objtool: Annotate indirect calls
    - [Packaging] retpoline -- add safe usage hint support
    - [Packaging] retpoline-check -- only report additions
    - [Packaging] retpoline -- widen indirect call/jmp detection
    - [Packaging] retpoline -- elide %rip relative indirections
    - [Packaging] retpoline -- clear hint information from packages
    - KVM: x86: Make indirect calls in emulator speculation safe
    - KVM: VMX: Make indirect call speculation safe
    - x86/boot, objtool: Annotate indirect jump in secondary_startup_64...

Read more...

Changed in linux-oem (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful

> This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results.

Sorry, I no longer can :(

Kai-Heng's test build worked fine for me, but another artful kernel update without the fix then broke my networking again. After that, I upgraded to bionic.

Launchpad Janitor (janitor) wrote :
Download full text (5.9 KiB)

This bug was fixed in the package linux - 4.13.0-43.48

---------------
linux (4.13.0-43.48) artful; urgency=medium

  * CVE-2018-3639 (powerpc)
    - SAUCE: rfi-flush: update H_CPU_* macro names to upstream
    - SAUCE: rfi-flush: update plpar_get_cpu_characteristics() signature to
      upstream
    - SAUCE: update pseries_setup_rfi_flush() capitalization to upstream
    - powerpc/pseries: Support firmware disable of RFI flush
    - powerpc/powernv: Support firmware disable of RFI flush
    - powerpc/64s: Allow control of RFI flush via debugfs
    - powerpc/rfi-flush: Move the logic to avoid a redo into the debugfs code
    - powerpc/rfi-flush: Always enable fallback flush on pseries
    - powerpc/rfi-flush: Differentiate enabled and patched flush types
    - powerpc/pseries: Add new H_GET_CPU_CHARACTERISTICS flags
    - powerpc: Add security feature flags for Spectre/Meltdown
    - powerpc/powernv: Set or clear security feature flags
    - powerpc/pseries: Set or clear security feature flags
    - powerpc/powernv: Use the security flags in pnv_setup_rfi_flush()
    - powerpc/pseries: Use the security flags in pseries_setup_rfi_flush()
    - powerpc/pseries: Fix clearing of security feature flags
    - powerpc: Move default security feature flags
    - powerpc/pseries: Restore default security feature flags on setup
    - powerpc/64s: Add support for a store forwarding barrier at kernel entry/exit

  * CVE-2018-3639 (x86)
    - SAUCE: Add X86_FEATURE_ARCH_CAPABILITIES
    - SAUCE: x86: Add alternative_msr_write
    - x86/nospec: Simplify alternative_msr_write()
    - x86/pti: Do not enable PTI on CPUs which are not vulnerable to Meltdown
    - x86/bugs: Concentrate bug detection into a separate function
    - x86/bugs: Concentrate bug reporting into a separate function
    - x86/msr: Add definitions for new speculation control MSRs
    - x86/bugs: Read SPEC_CTRL MSR during boot and re-use reserved bits
    - x86/bugs, KVM: Support the combination of guest and host IBRS
    - x86/bugs: Expose /sys/../spec_store_bypass
    - x86/cpufeatures: Add X86_FEATURE_RDS
    - x86/bugs: Provide boot parameters for the spec_store_bypass_disable
      mitigation
    - x86/bugs/intel: Set proper CPU features and setup RDS
    - x86/bugs: Whitelist allowed SPEC_CTRL MSR values
    - x86/bugs/AMD: Add support to disable RDS on Fam[15,16,17]h if requested
    - x86/KVM/VMX: Expose SPEC_CTRL Bit(2) to the guest
    - x86/speculation: Create spec-ctrl.h to avoid include hell
    - prctl: Add speculation control prctls
    - x86/process: Allow runtime control of Speculative Store Bypass
    - x86/speculation: Add prctl for Speculative Store Bypass mitigation
    - nospec: Allow getting/setting on non-current task
    - proc: Provide details on speculation flaw mitigations
    - seccomp: Enable speculation flaw mitigations
    - SAUCE: x86/bugs: Honour SPEC_CTRL default
    - x86/bugs: Make boot modes __ro_after_init
    - prctl: Add force disable speculation
    - seccomp: Use PR_SPEC_FORCE_DISABLE
    - seccomp: Add filter flag to opt-out of SSB mitigation
    - seccomp: Move speculation migitation control to arch code
    - x86/speculation: Make "seccomp" the...

Read more...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers